Subject: Re: bug#23599: Including search directories for pdf and dvi

From: Karl Berry <[email-masked]>
Date: Fri, 21 Jan 2022 19:33:43 -0700

perhaps an easy way out of this ... if we just add -E
    to the texi2dvi call, it forces makeinfo (and its flags) to be used.

Using -E is not desirable nowadays, it has myriad possibilities for
affecting the output in bad/unpredictable ways.

_e used to be the way to support @macro. I surmise Automake used to
always use this, hence AM_MAKEINFOFLAGS would get propagated there. 

I don't think the MAKEINFO envvar was ever used in the part of texi2dvi
that calls TeX. I'm not sure it even applies to current makeinfo.

I'm not exactly sure what the right solution is. If we can supporting
pass arguments (as in -I doc) to texi2dvi somehow (aka some new variable
AM_TEXI2DVIFLAGS I guess -- should also apply to texi2pdf), that should
work out. I don't think we could/should make AM_MAKEINFOFLAGS apply to
texi2dvi/2pdf invocations, since many makeinfo options don't apply to
texi2dvi.

Overriding TEXI2DVI does not seem all that bad to me either ... -k